FishOutFishOut

Grant agency staff client access

POST/agencies/{agencyOrganizationId}/clients/{relationshipId}/members

Grant explicit role and project access to an agency staff member through the governing client relationship.

Authorization

AuthorizationBearer <token>

Scoped FishOut API key. Never send credentials in query parameters.

In: header

Path Parameters

agencyOrganizationId*string
Length1 <= length
relationshipId*string
Length1 <= length

Header Parameters

Idempotency-Key*string

Reuse for retries of the same action for 24 hours. A changed body returns 409.

Length8 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agencies/string/clients/string/members" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "memberId": "string",    "role": "admin",    "projectAccess": "all"  }'
{  "data": "string",  "meta": {    "requestId": "string",    "replayed": true  }}